## eloquens 0.0+p24.04+vunstable+git20260201.0615

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Felipe Kinoshita <kinofhek@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(eloquens VERSION 0.1)

include(FeatureSummary)

set(QT_MIN_VERSION 6.5)
set(KF_MIN_VERSION 6.7)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ELOQUENS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-eloquens.h"
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons Config I18n DBusAddons)

add_subdirectory(src)

install(PROGRAMS org.kde.eloquens.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.eloquens.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.eloquens.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Felipe Kinoshita <kinofhek@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(eloquens
    main.cpp
    controller.cpp)

ecm_add_qml_module(eloquens URI "org.kde.eloquens")

ecm_target_qml_sources(eloquens SOURCES
    ui/About.qml
    ui/GlobalMenu.qml
    ui/Main.qml
    ui/PageHeader.qml
    ui/Settings.qml)

target_link_libraries(eloquens PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::Widgets
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::DBusAddons)

kconfig_target_kcfg_file(eloquens
        FILE config.kcfg
        CLASS_NAME Config
        MUTATORS
        DEFAULT_VALUE_GETTERS
        GENERATE_PROPERTIES
        SINGLETON
        PARENT_IN_CONSTRUCTOR
        GENERATE_MOC
        QML_REGISTRATION)
install(TARGETS eloquens ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## eloquens 0.0+p24.04+vunstable+git20260123.0342

=== debian/changelog ===
eloquens (0.0+p24.04+vunstable+git20260123.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:42:23 +0000

eloquens (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

=== debian/control ===
Source: eloquens
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/sdk/eloquens
Vcs-Git: https://invent.kde.org/neon/neon-packaging/eloquens.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/eloquens
Maintainer: Neon CI <neon@kde.org>

Package: eloquens
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generate the lorem ipsum text
 Eloquens allows you to easily generate the lorem ipsum text, you can
 add links, unordered/ordered list, headings and much more

## eloquens 0.0+p24.04+vunstable+git20260201.0615

=== debian/changelog ===
eloquens (0.0+p24.04+vunstable+git20260201.0615-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:15:06 +0000
